package com.nhnkcp.verifonepossample.databinding;
import com.nhnkcp.verifonepossample.R;
import com.nhnkcp.verifonepossample.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ActivityMainBindingImpl extends ActivityMainBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.appbar, 1);
        sViewsWithIds.put(R.id.tvPayMethod, 2);
        sViewsWithIds.put(R.id.horizontalScrollChip, 3);
        sViewsWithIds.put(R.id.chipGroup, 4);
        sViewsWithIds.put(R.id.btnCreditAuth, 5);
        sViewsWithIds.put(R.id.btnCreditCancel, 6);
        sViewsWithIds.put(R.id.btnCashICAuth, 7);
        sViewsWithIds.put(R.id.btnCashICCancel, 8);
        sViewsWithIds.put(R.id.btnUnionAuth, 9);
        sViewsWithIds.put(R.id.btnUnionCancel, 10);
        sViewsWithIds.put(R.id.btnCashReceiptAuth, 11);
        sViewsWithIds.put(R.id.btnCashReceiptCancel, 12);
        sViewsWithIds.put(R.id.btnEasyPayAuth, 13);
        sViewsWithIds.put(R.id.btnEasyPayCancel, 14);
        sViewsWithIds.put(R.id.btnBarcodeReq, 15);
        sViewsWithIds.put(R.id.btnPrint, 16);
        sViewsWithIds.put(R.id.btnCheckStore, 17);
        sViewsWithIds.put(R.id.tvInputInfo, 18);
        sViewsWithIds.put(R.id.scvInputInfo, 19);
        sViewsWithIds.put(R.id.layoutStoreInfo, 20);
        sViewsWithIds.put(R.id.tvDevice, 21);
        sViewsWithIds.put(R.id.etDeviceIp, 22);
        sViewsWithIds.put(R.id.tvDevicePort, 23);
        sViewsWithIds.put(R.id.etDevicePort, 24);
        sViewsWithIds.put(R.id.layoutPriceAmount, 25);
        sViewsWithIds.put(R.id.tvServiceType, 26);
        sViewsWithIds.put(R.id.radioGroupServiceType, 27);
        sViewsWithIds.put(R.id.radioVAN, 28);
        sViewsWithIds.put(R.id.radioPG, 29);
        sViewsWithIds.put(R.id.tvTotalAmount, 30);
        sViewsWithIds.put(R.id.etTotalAmount, 31);
        sViewsWithIds.put(R.id.tvTax, 32);
        sViewsWithIds.put(R.id.etTax, 33);
        sViewsWithIds.put(R.id.tvDutyFree, 34);
        sViewsWithIds.put(R.id.etDutyFree, 35);
        sViewsWithIds.put(R.id.tvTip, 36);
        sViewsWithIds.put(R.id.etTip, 37);
        sViewsWithIds.put(R.id.tvInstallment, 38);
        sViewsWithIds.put(R.id.etInstallment, 39);
        sViewsWithIds.put(R.id.tvTaxSetting, 40);
        sViewsWithIds.put(R.id.radioTaxSetting, 41);
        sViewsWithIds.put(R.id.radioDutyFree, 42);
        sViewsWithIds.put(R.id.radioTax, 43);
        sViewsWithIds.put(R.id.tvTradeOpt, 44);
        sViewsWithIds.put(R.id.radioTradeOpt, 45);
        sViewsWithIds.put(R.id.radioCalcPos, 46);
        sViewsWithIds.put(R.id.radioCalcDevice, 47);
        sViewsWithIds.put(R.id.layoutTaxRate, 48);
        sViewsWithIds.put(R.id.vDivider0, 49);
        sViewsWithIds.put(R.id.tvTaxRate, 50);
        sViewsWithIds.put(R.id.etTaxRate, 51);
        sViewsWithIds.put(R.id.tvRateType, 52);
        sViewsWithIds.put(R.id.radioRateType, 53);
        sViewsWithIds.put(R.id.radioRound, 54);
        sViewsWithIds.put(R.id.radioCeil, 55);
        sViewsWithIds.put(R.id.radioFloor, 56);
        sViewsWithIds.put(R.id.vDivider, 57);
        sViewsWithIds.put(R.id.layoutCashReceipt, 58);
        sViewsWithIds.put(R.id.tvPrivacy, 59);
        sViewsWithIds.put(R.id.etPrivacy, 60);
        sViewsWithIds.put(R.id.tvCashType, 61);
        sViewsWithIds.put(R.id.radioGroupCashType, 62);
        sViewsWithIds.put(R.id.radioPersonal, 63);
        sViewsWithIds.put(R.id.radioBusi, 64);
        sViewsWithIds.put(R.id.radioSelf, 65);
        sViewsWithIds.put(R.id.tvUseCard, 66);
        sViewsWithIds.put(R.id.checkBoxUseCard, 67);
        sViewsWithIds.put(R.id.vDivider5, 68);
        sViewsWithIds.put(R.id.layoutOriginTrade, 69);
        sViewsWithIds.put(R.id.tvTradeDate, 70);
        sViewsWithIds.put(R.id.etTradeDate, 71);
        sViewsWithIds.put(R.id.tvApprovalNo, 72);
        sViewsWithIds.put(R.id.etApprovalNo, 73);
        sViewsWithIds.put(R.id.tvTransCode, 74);
        sViewsWithIds.put(R.id.etTransCode, 75);
        sViewsWithIds.put(R.id.tvTransNo, 76);
        sViewsWithIds.put(R.id.etTransNo, 77);
        sViewsWithIds.put(R.id.vDivider2, 78);
        sViewsWithIds.put(R.id.btnRequest, 79);
    }
    // views
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ActivityMainBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 80, sIncludes, sViewsWithIds));
    }
    private ActivityMainBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            , (com.google.android.material.chip.Chip) bindings[15]
            , (com.google.android.material.chip.Chip) bindings[7]
            , (com.google.android.material.chip.Chip) bindings[8]
            , (com.google.android.material.chip.Chip) bindings[11]
            , (com.google.android.material.chip.Chip) bindings[12]
            , (com.google.android.material.chip.Chip) bindings[17]
            , (com.google.android.material.chip.Chip) bindings[5]
            , (com.google.android.material.chip.Chip) bindings[6]
            , (com.google.android.material.chip.Chip) bindings[13]
            , (com.google.android.material.chip.Chip) bindings[14]
            , (com.google.android.material.chip.Chip) bindings[16]
            , (android.widget.TextView) bindings[79]
            , (com.google.android.material.chip.Chip) bindings[9]
            , (com.google.android.material.chip.Chip) bindings[10]
            , (androidx.appcompat.widget.AppCompatCheckBox) bindings[67]
            , (com.google.android.material.chip.ChipGroup) bindings[4]
            , (android.widget.EditText) bindings[73]
            , (android.widget.EditText) bindings[22]
            , (android.widget.EditText) bindings[24]
            , (android.widget.EditText) bindings[35]
            , (android.widget.EditText) bindings[39]
            , (android.widget.EditText) bindings[60]
            , (android.widget.EditText) bindings[33]
            , (android.widget.EditText) bindings[51]
            , (android.widget.EditText) bindings[37]
            , (android.widget.EditText) bindings[31]
            , (android.widget.EditText) bindings[71]
            , (android.widget.EditText) bindings[75]
            , (android.widget.EditText) bindings[77]
            , (android.widget.HorizontalScrollView) bindings[3]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[58]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[69]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[25]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[20]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[48]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[0]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[64]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[47]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[46]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[55]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[42]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[56]
            , (android.widget.RadioGroup) bindings[62]
            , (android.widget.RadioGroup) bindings[27]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[29]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[63]
            , (android.widget.RadioGroup) bindings[53]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[54]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[65]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[43]
            , (android.widget.RadioGroup) bindings[41]
            , (android.widget.RadioGroup) bindings[45]
            , (androidx.appcompat.widget.AppCompatRadioButton) bindings[28]
            , (androidx.core.widget.NestedScrollView) bindings[19]
            , (android.widget.TextView) bindings[72]
            , (android.widget.TextView) bindings[61]
            , (android.widget.TextView) bindings[21]
            , (android.widget.TextView) bindings[23]
            , (android.widget.TextView) bindings[34]
            , (android.widget.TextView) bindings[18]
            , (android.widget.TextView) bindings[38]
            , (android.widget.TextView) bindings[2]
            , (android.widget.TextView) bindings[59]
            , (android.widget.TextView) bindings[52]
            , (android.widget.TextView) bindings[26]
            , (android.widget.TextView) bindings[32]
            , (android.widget.TextView) bindings[50]
            , (android.widget.TextView) bindings[40]
            , (android.widget.TextView) bindings[36]
            , (android.widget.TextView) bindings[30]
            , (android.widget.TextView) bindings[70]
            , (android.widget.TextView) bindings[44]
            , (android.widget.TextView) bindings[74]
            , (android.widget.TextView) bindings[76]
            , (android.widget.TextView) bindings[66]
            , (android.view.View) bindings[57]
            , (android.view.View) bindings[49]
            , (android.view.View) bindings[78]
            , (android.view.View) bindings[68]
            );
        this.main.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x1L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
            return variableSet;
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        // batch finished
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): null
    flag mapping end*/
    //end
}